import 'bootstrap.css';
import '@grapecity/wijmo.styles/wijmo.css';
import './styles.css';
import * as wjMultiRow from '@grapecity/wijmo.grid.multirow';
import { generateAppData } from './data';
//
document.readyState === 'complete' ? init() : window.onload = init;
//
function init() {
let appData = generateAppData();
let adMultirow = new wjMultiRow.MultiRow('#adMultirow', {
itemsSource: appData.addNewOrders,
layoutDefinition: appData.ldThreeLines,
showGroups: false,
allowAddNew: true,
allowDelete: true
});
// handle buttons
document.getElementById('ckbAllNew').addEventListener('click', function (e) {
adMultirow.allowAddNew = e.target.checked;
});
document.getElementById('ckbAllDelete').addEventListener('click', function (e) {
adMultirow.allowDelete = e.target.checked;
});
}
<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8">
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<title>GrapeCity Wijmo MultiRow Adding and Deleting Records</title>
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<!-- SystemJS -->
<script src="node_modules/systemjs/dist/system.src.js"></script>
<script src="systemjs.config.js"></script>
<script>
System.import('./src/app');
</script>
</head>
<body>
<div class="container-fluid">
<div id="adMultirow"></div>
<label>
<input id="ckbAllNew" type="checkbox" checked >
行の追加を許可
</label>
<br />
<label>
<input id="ckbAllDelete" type="checkbox" checked >
行の削除を許可
</label>
</div>
</body>
</html>
import * as wjCore from '@grapecity/wijmo';
import * as wjGrid from '@grapecity/wijmo.grid';
export function generateAppData() {
// create some data
let appData = {}, customers = [], firstNames = '佐藤,鈴木,高橋,田中,伊藤,山本,渡辺,中村,小林,加藤,吉田,山田,佐々木,山口,松本,井上,木村,斎藤,林,清水,山崎,阿部,森,池田,橋本,山下,石川,中島,前田,藤田'.split(','), lastNames = '浩,誠,健一,大輔,達也,翔太,浩一,哲也,剛,大介,健太,拓也,豊,修,和彦,学,直樹,健太郎,浩二,徹,隆,亮,翔,恵子,久美子,由美子,明美,直美,陽子,智子,絵美,恵,裕子,愛,真由美,由美,麻衣,美穂,愛美,彩'.split(','), cities = '東京都,神奈川県,大阪府,愛知県'.split(','), states = '日本'.split(',');
for (let i = 0; i < 50; i++) {
let first = firstNames[randBetween(0, firstNames.length - 1)], last = lastNames[randBetween(0, lastNames.length - 1)];
customers.push({
id: i,
name: first + ' ' + last,
address: `${String.fromCharCode(randBetween(65, 90))}市${String.fromCharCode(randBetween(65, 90))}町${randBetween(1, 10)}-${randBetween(1, 10)}-${randBetween(1, 10)}`,
city: cities[randBetween(0, cities.length - 1)],
state: states[randBetween(0, states.length - 1)],
zip: wjCore.format('{p1:d3}-{p2:d4}', {
p1: randBetween(100, 999),
p2: randBetween(0, 9999)
}),
email: 'cust@x.com',
phone: wjCore.format('090-{p1:d4}-{p2:d4}', {
p1: randBetween(1000, 9999),
p2: randBetween(1000, 9999)
})
});
}
let cityMap = new wjGrid.DataMap(cities);
let shippers = [
{ id: 0, name: 'アカネコ', email: 'ship1@x.com', phone: '03-3955-98xx', express: true },
{ id: 1, name: 'トマト', email: 'ship2@x.com', phone: '03-3681-31xx', express: true },
{ id: 2, name: 'ペンギン', email: 'ship3@x.com', phone: '03-3566-99xx', express: false }
];
let orders = [];
let today = new Date();
for (let i = 0; i < 20; i++) {
let shipped = wjCore.DateTime.addDays(today, -randBetween(1, 3000));
orders.push({
id: i,
date: wjCore.DateTime.addDays(shipped, -randBetween(1, 5)),
shippedDate: shipped,
amount: randBetween(10000, 500000) / 100,
customer: customers[randBetween(0, customers.length - 1)],
shipper: shippers[randBetween(0, shippers.length - 1)]
});
}
function randBetween(min, max) {
return Math.floor(Math.random() * (max - min + 1) + min);
}
// expose orders CollectionView to the app
appData.orders = new wjCore.CollectionView(orders);
// expose grouped orders CollectionView to the app
appData.groupedOrders = new wjCore.CollectionView(orders, {
groupDescriptions: [
'customer.city'
]
});
// expose paged orders CollectionView to the app
appData.pagedOrders = new wjCore.CollectionView(orders, {
pageSize: 4
});
// expose addNew oders CollectionView to the app
appData.addNewOrders = new wjCore.CollectionView(orders, {
newItemCreator: function () {
return {
customer: {},
shipper: {}
};
},
});
appData.addNewOrders.moveCurrentToLast();
// refresh views when data source changes
let ordersRefreshing = false;
appData.orders.collectionChanged.addHandler(function () {
ordersRefreshing = true;
if (!pagedOrdersRefreshing) {
appData.pagedOrders.refresh();
}
if (!groupedOrdersRefreshing) {
appData.groupedOrders.refresh();
}
if (!addNewOrdersRefreshing) {
appData.addNewOrders.refresh();
}
ordersRefreshing = false;
});
// addNew orders
let addNewOrdersRefreshing = false;
appData.addNewOrders.collectionChanged.addHandler(function () {
addNewOrdersRefreshing = true;
if (!ordersRefreshing) {
appData.orders.refresh();
}
if (!pagedOrdersRefreshing) {
appData.pagedOrders.refresh();
}
if (!groupedOrdersRefreshing) {
appData.groupedOrders.refresh();
}
addNewOrdersRefreshing = false;
});
// grouped orders
let groupedOrdersRefreshing = false;
appData.groupedOrders.collectionChanged.addHandler(function () {
groupedOrdersRefreshing = true;
if (!ordersRefreshing) {
appData.orders.refresh();
}
if (!pagedOrdersRefreshing) {
appData.pagedOrders.refresh();
}
if (!addNewOrdersRefreshing) {
appData.addNewOrders.refresh();
}
groupedOrdersRefreshing = false;
});
// paged orders
let pagedOrdersRefreshing = false;
appData.pagedOrders.collectionChanged.addHandler(function () {
pagedOrdersRefreshing = true;
if (!ordersRefreshing) {
appData.orders.refresh();
}
if (!addNewOrdersRefreshing) {
appData.addNewOrders.refresh();
}
if (!groupedOrdersRefreshing) {
appData.groupedOrders.refresh();
}
pagedOrdersRefreshing = false;
});
// sample layout definitions
appData.ldOneLine = [
{ cells: [{ binding: 'id', header: 'ID', cssClass: 'id', isReadOnly: true }] },
{ cells: [{ binding: 'date', header: '受注日' }] },
{ cells: [{ binding: 'shippedDate', header: '出荷日' }] },
{ cells: [{ binding: 'amount', header: '金額', format: 'c', cssClass: 'amount' }] },
{ cells: [{ binding: 'customer.name', header: '顧客名' }] },
{ cells: [{ binding: 'customer.address', header: '住所', wordWrap: true }] },
{ cells: [{ binding: 'customer.city', header: '都道府県', dataMap: cityMap }] },
{ cells: [{ binding: 'customer.state', header: '国', width: 45 }] },
{ cells: [{ binding: 'customer.zip', header: '郵便番号' }] },
{ cells: [{ binding: 'customer.email', header: '顧客のメール', cssClass: 'email' }] },
{ cells: [{ binding: 'customer.phone', header: '顧客の電話番号' }] },
{ cells: [{ binding: 'shipper.name', header: '運送業者' }] },
{ cells: [{ binding: 'shipper.email', header: '運送業者のメール', cssClass: 'email' }] },
{ cells: [{ binding: 'shipper.phone', header: '運送業者の電話番号' }] },
{ cells: [{ binding: 'shipper.express', header: '速達' }] }
];
appData.ldTwoLines = [
{
header: '受注', colspan: 2, cells: [
{ binding: 'id', header: 'ID', cssClass: 'id', isReadOnly: true },
{ binding: 'date', header: '受注日' },
{ binding: 'amount', header: '金額', format: 'c', cssClass: 'amount' },
{ binding: 'shippedDate', header: '出荷日' }
]
},
{
header: '顧客', colspan: 3, cells: [
{ binding: 'customer.name', header: '顧客' },
{ binding: 'customer.email', header: 'メール', colspan: 2, cssClass: 'email' },
{ binding: 'customer.address', header: '住所' },
{ binding: 'customer.city', header: '都道府県', dataMap: cityMap },
{ binding: 'customer.state', header: '国', width: 45 }
]
},
{
header: '運送業者', cells: [
{ binding: 'shipper.name', header: '運送業者', colspan: 2 },
{ binding: 'shipper.email', header: 'メール', cssClass: 'email' },
{ binding: 'shipper.express', header: '速達' }
]
}
];
appData.ldThreeLines = [
{
header: '受注', colspan: 2, cells: [
{ binding: 'id', header: 'ID', colspan: 2, cssClass: 'id' },
{ binding: 'amount', header: '金額', format: 'c', colspan: 2, cssClass: 'amount' },
{ binding: 'date', header: '受注日' },
{ binding: 'shippedDate', header: '出荷日' }
]
},
{
header: '顧客', colspan: 3, cells: [
{ binding: 'customer.name', header: '顧客' },
{ binding: 'customer.email', header: 'メール', colspan: 2, cssClass: 'email' },
{ binding: 'customer.address', header: '住所', colspan: 2 },
{ binding: 'customer.phone', header: '電話番号' },
{ binding: 'customer.city', header: '都道府県', dataMap: cityMap },
{ binding: 'customer.state', header: '国', width: 45 },
{ binding: 'customer.zip', header: '郵便番号' },
]
},
{
header: '運送業者', cells: [
{ binding: 'shipper.name', header: '運送業者' },
{ binding: 'shipper.email', header: 'メール', cssClass: 'email' },
{ binding: 'shipper.express', header: '速達' }
]
}
];
appData.layoutDefs = new wjCore.CollectionView([
{
name: '従来のレイアウト',
description: '従来のグリッドのように、1レコードを1行で表示します。ユーザーはレコード全体を見るには水平方向にスクロールする必要があります。',
def: appData.ldOneLine
},
{
name: 'コンパクトなレイアウト',
description: 'このビューでは、1レコードを2行で表示します。レイアウトは、注文情報、顧客情報、運送業者情報の3つのグループに分かれています。',
def: appData.ldTwoLines
},
{
name: '詳細なレイアウト',
description: 'このビューでは、1レコードを3行で表示します。レイアウトは、注文情報、顧客情報、運送業者情報の3つのグループに分かれています。',
def: appData.ldThreeLines
}
]);
return appData;
}
.wj-multirow {
height: 400px;
margin: 6px 0;
}
(function (global) {
System.config({
transpiler: 'plugin-babel',
babelOptions: {
es2015: true
},
meta: {
'*.css': { loader: 'css' }
},
paths: {
// paths serve as alias
'npm:': 'node_modules/'
},
// map tells the System loader where to look for things
map: {
'jszip': 'npm:jszip/dist/jszip.js',
'@grapecity/wijmo': 'npm:@grapecity/wijmo/index.js',
'@grapecity/wijmo.input': 'npm:@grapecity/wijmo.input/index.js',
'@grapecity/wijmo.styles': 'npm:@grapecity/wijmo.styles',
'@grapecity/wijmo.cultures': 'npm:@grapecity/wijmo.cultures',
'@grapecity/wijmo.chart': 'npm:@grapecity/wijmo.chart/index.js',
'@grapecity/wijmo.chart.analytics': 'npm:@grapecity/wijmo.chart.analytics/index.js',
'@grapecity/wijmo.chart.animation': 'npm:@grapecity/wijmo.chart.animation/index.js',
'@grapecity/wijmo.chart.annotation': 'npm:@grapecity/wijmo.chart.annotation/index.js',
'@grapecity/wijmo.chart.finance': 'npm:@grapecity/wijmo.chart.finance/index.js',
'@grapecity/wijmo.chart.finance.analytics': 'npm:@grapecity/wijmo.chart.finance.analytics/index.js',
'@grapecity/wijmo.chart.hierarchical': 'npm:@grapecity/wijmo.chart.hierarchical/index.js',
'@grapecity/wijmo.chart.interaction': 'npm:@grapecity/wijmo.chart.interaction/index.js',
'@grapecity/wijmo.chart.radar': 'npm:@grapecity/wijmo.chart.radar/index.js',
'@grapecity/wijmo.chart.render': 'npm:@grapecity/wijmo.chart.render/index.js',
'@grapecity/wijmo.chart.webgl': 'npm:@grapecity/wijmo.chart.webgl/index.js',
'@grapecity/wijmo.chart.map': 'npm:@grapecity/wijmo.chart.map/index.js',
'@grapecity/wijmo.gauge': 'npm:@grapecity/wijmo.gauge/index.js',
'@grapecity/wijmo.grid': 'npm:@grapecity/wijmo.grid/index.js',
'@grapecity/wijmo.grid.detail': 'npm:@grapecity/wijmo.grid.detail/index.js',
'@grapecity/wijmo.grid.filter': 'npm:@grapecity/wijmo.grid.filter/index.js',
'@grapecity/wijmo.grid.search': 'npm:@grapecity/wijmo.grid.search/index.js',
'@grapecity/wijmo.grid.grouppanel': 'npm:@grapecity/wijmo.grid.grouppanel/index.js',
'@grapecity/wijmo.grid.multirow': 'npm:@grapecity/wijmo.grid.multirow/index.js',
'@grapecity/wijmo.grid.transposed': 'npm:@grapecity/wijmo.grid.transposed/index.js',
'@grapecity/wijmo.grid.transposedmultirow': 'npm:@grapecity/wijmo.grid.transposedmultirow/index.js',
'@grapecity/wijmo.grid.pdf': 'npm:@grapecity/wijmo.grid.pdf/index.js',
'@grapecity/wijmo.grid.sheet': 'npm:@grapecity/wijmo.grid.sheet/index.js',
'@grapecity/wijmo.grid.xlsx': 'npm:@grapecity/wijmo.grid.xlsx/index.js',
'@grapecity/wijmo.grid.selector': 'npm:@grapecity/wijmo.grid.selector/index.js',
'@grapecity/wijmo.grid.cellmaker': 'npm:@grapecity/wijmo.grid.cellmaker/index.js',
'@grapecity/wijmo.nav': 'npm:@grapecity/wijmo.nav/index.js',
'@grapecity/wijmo.odata': 'npm:@grapecity/wijmo.odata/index.js',
'@grapecity/wijmo.olap': 'npm:@grapecity/wijmo.olap/index.js',
'@grapecity/wijmo.rest': 'npm:@grapecity/wijmo.rest/index.js',
'@grapecity/wijmo.pdf': 'npm:@grapecity/wijmo.pdf/index.js',
'@grapecity/wijmo.pdf.security': 'npm:@grapecity/wijmo.pdf.security/index.js',
'@grapecity/wijmo.viewer': 'npm:@grapecity/wijmo.viewer/index.js',
'@grapecity/wijmo.xlsx': 'npm:@grapecity/wijmo.xlsx/index.js',
'@grapecity/wijmo.undo': 'npm:@grapecity/wijmo.undo/index.js',
'@grapecity/wijmo.interop.grid': 'npm:@grapecity/wijmo.interop.grid/index.js',
'@grapecity/wijmo.touch': 'npm:@grapecity/wijmo.touch/index.js',
'@grapecity/wijmo.cloud': 'npm:@grapecity/wijmo.cloud/index.js',
'@grapecity/wijmo.barcode': 'npm:@grapecity/wijmo.barcode/index.js',
'@grapecity/wijmo.barcode.common': 'npm:@grapecity/wijmo.barcode.common/index.js',
'@grapecity/wijmo.barcode.composite': 'npm:@grapecity/wijmo.barcode.composite/index.js',
'@grapecity/wijmo.barcode.specialized': 'npm:@grapecity/wijmo.barcode.specialized/index.js',
'jszip': 'npm:jszip/dist/jszip.js',
'bootstrap.css': 'npm:bootstrap/dist/css/bootstrap.min.css',
'css': 'npm:systemjs-plugin-css/css.js',
'plugin-babel': 'npm:systemjs-plugin-babel/plugin-babel.js',
'systemjs-babel-build':'npm:systemjs-plugin-babel/systemjs-babel-browser.js'
},
// packages tells the System loader how to load when no filename and/or no extension
packages: {
src: {
defaultExtension: 'js'
},
"node_modules": {
defaultExtension: 'js'
},
}
});
})(this);

<template>
<div class="container-fluid">
<wj-multi-row :itemsSource="newOrders" :layoutDefinition="threeLines" :showGroups="false" :allowAddNew="true"
:allowDelete="true" :initialized="initialized"></wj-multi-row>
<label>
<input id="ckbAllNew" type="checkbox" checked @click="onAllNewClick($event)">
行の追加を許可
</label>
<br>
<label>
<input id="ckbAllDelete" type="checkbox" checked @click="onAllDeleteClick($event)">
行の削除を許可
</label>
</div>
</template>
<script setup>
import * as wjMultirow from "@mescius/wijmo.grid.multirow";
import { getData } from "./data";
import { ref, onMounted } from "vue";
const newOrders = ref(null);
const threeLines = ref(null);
const adMultirow = ref(null);
onMounted(function () {
let appData = getData();
newOrders.value = appData.addNewOrders;
threeLines.value = appData.ldThreeLines;
});
function onAllNewClick(e) {
adMultirow.value.allowAddNew = e.target.checked;
}
function onAllDeleteClick(e) {
adMultirow.value.allowDelete = e.target.checked;
}
function initialized(adMultirowref) {
adMultirow.value = adMultirowref;
}
</script>
<style>
.wj-multirow {
height: 400px;
margin: 6px 0;
}
</style>
<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8">
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<title>MESCIUS Wijmo MultiRow Adding and Deleting Records</title>
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<!-- SystemJS -->
<script src="compiler.js" type="module"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/systemjs/0.21.5/system.src.js" integrity="sha512-skZbMyvYdNoZfLmiGn5ii6KmklM82rYX2uWctBhzaXPxJgiv4XBwJnFGr5k8s+6tE1pcR1nuTKghozJHyzMcoA==" crossorigin="anonymous"></script>
<script src="systemjs.config.js"></script>
<script>
System.import('./src/app.js');
</script>
</head>
<body>
<div id="app">
</div>
</body>
</html>
import * as wjCore from '@mescius/wijmo';
import * as wjGrid from '@mescius/wijmo.grid'
export function getData() {
// create some data
let appData = {},
customers = [],
firstNames = '佐藤,鈴木,高橋,田中,伊藤,山本,渡辺,中村,小林,加藤,吉田,山田,佐々木,山口,松本,井上,木村,斎藤,林,清水,山崎,阿部,森,池田,橋本,山下,石川,中島,前田,藤田'.split(','),
lastNames = '浩,誠,健一,大輔,達也,翔太,浩一,哲也,剛,大介,健太,拓也,豊,修,和彦,学,直樹,健太郎,浩二,徹,隆,亮,翔,恵子,久美子,由美子,明美,直美,陽子,智子,絵美,恵,裕子,愛,真由美,由美,麻衣,美穂,愛美,彩'.split(','),
cities = '東京都,神奈川県,大阪府,愛知県'.split(','),
states = '日本'.split(',');
for (let i = 0; i < 50; i++) {
let first = firstNames[randBetween(0, firstNames.length - 1)],
last = lastNames[randBetween(0, lastNames.length - 1)];
customers.push({
id: i,
name: first + ' ' + last,
address: `${String.fromCharCode(randBetween(65, 90))}市${String.fromCharCode(randBetween(65, 90))}町${randBetween(1, 10)}-${randBetween(1, 10)}-${randBetween(1, 10)}`,
city: cities[randBetween(0, cities.length - 1)],
state: states[randBetween(0, states.length - 1)],
zip: wjCore.format('{p1:d3}-{p2:d4}', {
p1: randBetween(100, 999),
p2: randBetween(0, 9999)
}),
email: 'cust@x.com',
phone: wjCore.format('090-{p1:d4}-{p2:d4}', {
p1: randBetween(1000, 9999),
p2: randBetween(1000, 9999)
})
});
}
let cityMap = new wjGrid.DataMap(cities);
let shippers = [
{ id: 0, name: 'アカネコ', email: 'ship1@x.com', phone: '03-3955-98xx', express: true },
{ id: 1, name: 'トマト', email: 'ship2@x.com', phone: '03-3681-31xx', express: true },
{ id: 2, name: 'ペンギン', email: 'ship3@x.com', phone: '03-3566-99xx', express: false }
];
let orders = [];
let today = new Date();
for (let i = 0; i < 20; i++) {
let shipped = wjCore.DateTime.addDays(today, -randBetween(1, 3000));
orders.push({
id: i,
date: wjCore.DateTime.addDays(shipped, -randBetween(1, 5)),
shippedDate: shipped,
amount: randBetween(10000, 500000) / 100,
customer: customers[randBetween(0, customers.length - 1)],
shipper: shippers[randBetween(0, shippers.length - 1)]
});
}
function randBetween(min, max) {
return Math.floor(Math.random() * (max - min + 1) + min);
}
// expose orders CollectionView to the app
appData.orders = new wjCore.CollectionView(orders);
// expose grouped orders CollectionView to the app
appData.groupedOrders = new wjCore.CollectionView(orders, {
groupDescriptions: [
'customer.city'
]
});
// expose paged orders CollectionView to the app
appData.pagedOrders = new wjCore.CollectionView(orders, {
pageSize: 4
});
// expose addNew oders CollectionView to the app
appData.addNewOrders = new wjCore.CollectionView(orders, {
newItemCreator: function () {
return { // add empty customer and shipper objects to new orders
customer: {},
shipper: {}
}
},
});
appData.addNewOrders.moveCurrentToLast();
// refresh views when data source changes
let ordersRefreshing = false;
appData.orders.collectionChanged.addHandler(function () {
ordersRefreshing = true;
if (!pagedOrdersRefreshing) {
appData.pagedOrders.refresh();
}
if (!groupedOrdersRefreshing) {
appData.groupedOrders.refresh();
}
if (!addNewOrdersRefreshing) {
appData.addNewOrders.refresh();
}
ordersRefreshing = false;
});
// addNew orders
let addNewOrdersRefreshing = false;
appData.addNewOrders.collectionChanged.addHandler(function () {
addNewOrdersRefreshing = true;
if (!ordersRefreshing) {
appData.orders.refresh();
}
if (!pagedOrdersRefreshing) {
appData.pagedOrders.refresh();
}
if (!groupedOrdersRefreshing) {
appData.groupedOrders.refresh();
}
addNewOrdersRefreshing = false;
});
// grouped orders
let groupedOrdersRefreshing = false;
appData.groupedOrders.collectionChanged.addHandler(function () {
groupedOrdersRefreshing = true;
if (!ordersRefreshing) {
appData.orders.refresh();
}
if (!pagedOrdersRefreshing) {
appData.pagedOrders.refresh();
}
if (!addNewOrdersRefreshing) {
appData.addNewOrders.refresh();
}
groupedOrdersRefreshing = false;
});
// paged orders
let pagedOrdersRefreshing = false;
appData.pagedOrders.collectionChanged.addHandler(function () {
pagedOrdersRefreshing = true;
if (!ordersRefreshing) {
appData.orders.refresh();
}
if (!addNewOrdersRefreshing) {
appData.addNewOrders.refresh();
}
if (!groupedOrdersRefreshing) {
appData.groupedOrders.refresh();
}
pagedOrdersRefreshing = false;
});
// sample layout definitions
appData.ldOneLine = [
{ cells: [{ binding: 'id', header: 'ID', cssClass: 'id', isReadOnly: true }] },
{ cells: [{ binding: 'date', header: '受注日' }] },
{ cells: [{ binding: 'shippedDate', header: '出荷日' }] },
{ cells: [{ binding: 'amount', header: '金額', format: 'c', cssClass: 'amount' }] },
{ cells: [{ binding: 'customer.name', header: '顧客名' }] },
{ cells: [{ binding: 'customer.address', header: '住所', wordWrap: true }] },
{ cells: [{ binding: 'customer.city', header: '都道府県', dataMap: cityMap }] },
{ cells: [{ binding: 'customer.state', header: '国', width: 45 }] },
{ cells: [{ binding: 'customer.zip', header: '郵便番号' }] },
{ cells: [{ binding: 'customer.email', header: '顧客のメール', cssClass: 'email' }] },
{ cells: [{ binding: 'customer.phone', header: '顧客の電話番号' }] },
{ cells: [{ binding: 'shipper.name', header: '運送業者' }] },
{ cells: [{ binding: 'shipper.email', header: '運送業者のメール', cssClass: 'email' }] },
{ cells: [{ binding: 'shipper.phone', header: '運送業者の電話番号' }] },
{ cells: [{ binding: 'shipper.express', header: '速達' }] }
];
appData.ldTwoLines = [
{
header: '受注', colspan: 2, cells: [
{ binding: 'id', header: 'ID', cssClass: 'id', isReadOnly: true },
{ binding: 'date', header: '受注日' },
{ binding: 'amount', header: '金額', format: 'c', cssClass: 'amount' },
{ binding: 'shippedDate', header: '出荷日' }
]
},
{
header: '顧客', colspan: 3, cells: [
{ binding: 'customer.name', header: '顧客' },
{ binding: 'customer.email', header: 'メール', colspan: 2, cssClass: 'email' },
{ binding: 'customer.address', header: '住所' },
{ binding: 'customer.city', header: '都道府県', dataMap: cityMap },
{ binding: 'customer.state', header: '国', width: 45 }
]
},
{
header: '運送業者', cells: [
{ binding: 'shipper.name', header: '運送業者', colspan: 2 },
{ binding: 'shipper.email', header: 'メール', cssClass: 'email' },
{ binding: 'shipper.express', header: '速達' }
]
}
];
appData.ldThreeLines = [
{
header: '受注', colspan: 2, cells: [
{ binding: 'id', header: 'ID', colspan: 2, cssClass: 'id' },
{ binding: 'amount', header: '金額', format: 'c', colspan: 2, cssClass: 'amount' },
{ binding: 'date', header: '受注日' },
{ binding: 'shippedDate', header: '出荷日' }
]
},
{
header: '顧客', colspan: 3, cells: [
{ binding: 'customer.name', header: '顧客' },
{ binding: 'customer.email', header: 'メール', colspan: 2, cssClass: 'email' },
{ binding: 'customer.address', header: '住所', colspan: 2 },
{ binding: 'customer.phone', header: '電話番号' },
{ binding: 'customer.city', header: '都道府県', dataMap: cityMap },
{ binding: 'customer.state', header: '国', width: 45 },
{ binding: 'customer.zip', header: '郵便番号' },
]
},
{
header: '運送業者', cells: [
{ binding: 'shipper.name', header: '運送業者' },
{ binding: 'shipper.email', header: 'メール', cssClass: 'email' },
{ binding: 'shipper.express', header: '速達' }
]
}
];
appData.layoutDefs = new wjCore.CollectionView([
{
name: '従来のレイアウト',
description: '従来のグリッドのように、1レコードを1行で表示します。ユーザーはレコード全体を見るには水平方向にスクロールする必要があります。',
def: appData.ldOneLine
},
{
name: 'コンパクトなレイアウト',
description: 'このビューでは、1レコードを2行で表示します。レイアウトは、注文情報、顧客情報、運送業者情報の3つのグループに分かれています。',
def: appData.ldTwoLines
},
{
name: '詳細なレイアウト',
description: 'このビューでは、1レコードを3行で表示します。レイアウトは、注文情報、顧客情報、運送業者情報の3つのグループに分かれています。',
def: appData.ldThreeLines
}
]);
return appData;
}
(function (global) {
System.config({
transpiler: 'plugin-babel',
babelOptions: {
es2015: true
},
meta: {
'*.css': { loader: 'css' },
'*.vue': { loader: '../plugin-vue/index.js' }
//'*.vue': { loader: 'systemjs-plugin-vue' }
},
paths: {
// paths serve as alias
'npm:': 'node_modules/'
},
// map tells the System loader where to look for things
map: {
'@mescius/wijmo': 'npm:@mescius/wijmo/index.js',
'@mescius/wijmo.input': 'npm:@mescius/wijmo.input/index.js',
'@mescius/wijmo.styles': 'npm:@mescius/wijmo.styles',
'@mescius/wijmo.cultures': 'npm:@mescius/wijmo.cultures',
'@mescius/wijmo.chart': 'npm:@mescius/wijmo.chart/index.js',
'@mescius/wijmo.chart.analytics': 'npm:@mescius/wijmo.chart.analytics/index.js',
'@mescius/wijmo.chart.animation': 'npm:@mescius/wijmo.chart.animation/index.js',
'@mescius/wijmo.chart.annotation': 'npm:@mescius/wijmo.chart.annotation/index.js',
'@mescius/wijmo.chart.finance': 'npm:@mescius/wijmo.chart.finance/index.js',
'@mescius/wijmo.chart.finance.analytics': 'npm:@mescius/wijmo.chart.finance.analytics/index.js',
'@mescius/wijmo.chart.hierarchical': 'npm:@mescius/wijmo.chart.hierarchical/index.js',
'@mescius/wijmo.chart.interaction': 'npm:@mescius/wijmo.chart.interaction/index.js',
'@mescius/wijmo.chart.radar': 'npm:@mescius/wijmo.chart.radar/index.js',
'@mescius/wijmo.chart.render': 'npm:@mescius/wijmo.chart.render/index.js',
'@mescius/wijmo.chart.webgl': 'npm:@mescius/wijmo.chart.webgl/index.js',
'@mescius/wijmo.chart.map': 'npm:@mescius/wijmo.chart.map/index.js',
'@mescius/wijmo.gauge': 'npm:@mescius/wijmo.gauge/index.js',
'@mescius/wijmo.grid': 'npm:@mescius/wijmo.grid/index.js',
'@mescius/wijmo.grid.detail': 'npm:@mescius/wijmo.grid.detail/index.js',
'@mescius/wijmo.grid.filter': 'npm:@mescius/wijmo.grid.filter/index.js',
'@mescius/wijmo.grid.search': 'npm:@mescius/wijmo.grid.search/index.js',
'@mescius/wijmo.grid.style': 'npm:@mescius/wijmo.grid.style/index.js',
'@mescius/wijmo.grid.grouppanel': 'npm:@mescius/wijmo.grid.grouppanel/index.js',
'@mescius/wijmo.grid.multirow': 'npm:@mescius/wijmo.grid.multirow/index.js',
'@mescius/wijmo.grid.transposed': 'npm:@mescius/wijmo.grid.transposed/index.js',
'@mescius/wijmo.grid.transposedmultirow': 'npm:@mescius/wijmo.grid.transposedmultirow/index.js',
'@mescius/wijmo.grid.pdf': 'npm:@mescius/wijmo.grid.pdf/index.js',
'@mescius/wijmo.grid.sheet': 'npm:@mescius/wijmo.grid.sheet/index.js',
'@mescius/wijmo.grid.xlsx': 'npm:@mescius/wijmo.grid.xlsx/index.js',
'@mescius/wijmo.grid.selector': 'npm:@mescius/wijmo.grid.selector/index.js',
'@mescius/wijmo.grid.cellmaker': 'npm:@mescius/wijmo.grid.cellmaker/index.js',
'@mescius/wijmo.nav': 'npm:@mescius/wijmo.nav/index.js',
'@mescius/wijmo.odata': 'npm:@mescius/wijmo.odata/index.js',
'@mescius/wijmo.olap': 'npm:@mescius/wijmo.olap/index.js',
'@mescius/wijmo.rest': 'npm:@mescius/wijmo.rest/index.js',
'@mescius/wijmo.pdf': 'npm:@mescius/wijmo.pdf/index.js',
'@mescius/wijmo.pdf.security': 'npm:@mescius/wijmo.pdf.security/index.js',
'@mescius/wijmo.viewer': 'npm:@mescius/wijmo.viewer/index.js',
'@mescius/wijmo.xlsx': 'npm:@mescius/wijmo.xlsx/index.js',
'@mescius/wijmo.undo': 'npm:@mescius/wijmo.undo/index.js',
'@mescius/wijmo.interop.grid': 'npm:@mescius/wijmo.interop.grid/index.js',
'@mescius/wijmo.touch': 'npm:@mescius/wijmo.touch/index.js',
'@mescius/wijmo.cloud': 'npm:@mescius/wijmo.cloud/index.js',
'@mescius/wijmo.barcode': 'npm:@mescius/wijmo.barcode/index.js',
'@mescius/wijmo.barcode.common': 'npm:@mescius/wijmo.barcode.common/index.js',
'@mescius/wijmo.barcode.composite': 'npm:@mescius/wijmo.barcode.composite/index.js',
'@mescius/wijmo.barcode.specialized': 'npm:@mescius/wijmo.barcode.specialized/index.js',
"@mescius/wijmo.vue2.chart.analytics": "npm:@mescius/wijmo.vue2.chart.analytics/index.js",
"@mescius/wijmo.vue2.chart.animation": "npm:@mescius/wijmo.vue2.chart.animation/index.js",
"@mescius/wijmo.vue2.chart.annotation": "npm:@mescius/wijmo.vue2.chart.annotation/index.js",
"@mescius/wijmo.vue2.chart.finance.analytics": "npm:@mescius/wijmo.vue2.chart.finance.analytics/index.js",
"@mescius/wijmo.vue2.chart.finance": "npm:@mescius/wijmo.vue2.chart.finance/index.js",
"@mescius/wijmo.vue2.chart.hierarchical": "npm:@mescius/wijmo.vue2.chart.hierarchical/index.js",
"@mescius/wijmo.vue2.chart.interaction": "npm:@mescius/wijmo.vue2.chart.interaction/index.js",
"@mescius/wijmo.vue2.chart.radar": "npm:@mescius/wijmo.vue2.chart.radar/index.js",
'@mescius/wijmo.vue2.chart.map': 'npm:@mescius/wijmo.vue2.chart.map/index.js',
"@mescius/wijmo.vue2.chart": "npm:@mescius/wijmo.vue2.chart/index.js",
"@mescius/wijmo.vue2.core": "npm:@mescius/wijmo.vue2.core/index.js",
"@mescius/wijmo.vue2.gauge": "npm:@mescius/wijmo.vue2.gauge/index.js",
"@mescius/wijmo.vue2.grid.detail": "npm:@mescius/wijmo.vue2.grid.detail/index.js",
"@mescius/wijmo.vue2.grid.filter": "npm:@mescius/wijmo.vue2.grid.filter/index.js",
"@mescius/wijmo.vue2.grid.grouppanel": "npm:@mescius/wijmo.vue2.grid.grouppanel/index.js",
'@mescius/wijmo.vue2.grid.search': 'npm:@mescius/wijmo.vue2.grid.search/index.js',
"@mescius/wijmo.vue2.grid.multirow": "npm:@mescius/wijmo.vue2.grid.multirow/index.js",
"@mescius/wijmo.vue2.grid.sheet": "npm:@mescius/wijmo.vue2.grid.sheet/index.js",
'@mescius/wijmo.vue2.grid.transposed': 'npm:@mescius/wijmo.vue2.grid.transposed/index.js',
'@mescius/wijmo.vue2.grid.transposedmultirow': 'npm:@mescius/wijmo.vue2.grid.transposedmultirow/index.js',
"@mescius/wijmo.vue2.grid": "npm:@mescius/wijmo.vue2.grid/index.js",
"@mescius/wijmo.vue2.input": "npm:@mescius/wijmo.vue2.input/index.js",
"@mescius/wijmo.vue2.olap": "npm:@mescius/wijmo.vue2.olap/index.js",
"@mescius/wijmo.vue2.viewer": "npm:@mescius/wijmo.vue2.viewer/index.js",
"@mescius/wijmo.vue2.nav": "npm:@mescius/wijmo.vue2.nav/index.js",
"@mescius/wijmo.vue2.base": "npm:@mescius/wijmo.vue2.base/index.js",
'@mescius/wijmo.vue2.barcode.common': 'npm:@mescius/wijmo.vue2.barcode.common/index.js',
'@mescius/wijmo.vue2.barcode.composite': 'npm:@mescius/wijmo.vue2.barcode.composite/index.js',
'@mescius/wijmo.vue2.barcode.specialized': 'npm:@mescius/wijmo.vue2.barcode.specialized/index.js',
'bootstrap.css': 'npm:bootstrap/dist/css/bootstrap.min.css',
'jszip': 'npm:jszip/dist/jszip.js',
'css': 'npm:systemjs-plugin-css/css.js',
'vue': 'npm:vue/dist/vue.cjs.js',
'@vue/compiler-dom':'npm:@vue/compiler-dom/dist/compiler-dom.global.prod.js',
'@vue/runtime-dom':'npm:@vue/runtime-dom/dist/runtime-dom.global.prod.js',
'@vue/shared':'npm:@vue/shared/dist/shared.cjs.js',
'@vue/compiler-dom':'npm:@vue/compiler-dom/dist/compiler-dom.global.prod.js',
'@vue/runtime-dom':'npm:@vue/runtime-dom/dist/runtime-dom.global.prod.js',
'@vue/shared':'npm:@vue/shared/dist/shared.cjs.js',
'@vue/compiler-dom':'npm:@vue/compiler-dom/dist/compiler-dom.global.prod.js',
'@vue/runtime-dom':'npm:@vue/runtime-dom/dist/runtime-dom.global.prod.js',
'@vue/shared':'npm:@vue/shared/dist/shared.cjs.js',
'@vue/compiler-dom':'npm:@vue/compiler-dom/dist/compiler-dom.global.prod.js',
'@vue/runtime-dom':'npm:@vue/runtime-dom/dist/runtime-dom.global.prod.js',
'@vue/shared':'npm:@vue/shared/dist/shared.cjs.js',
'@vue/compiler-dom':'npm:@vue/compiler-dom/dist/compiler-dom.global.prod.js',
'@vue/runtime-dom':'npm:@vue/runtime-dom/dist/runtime-dom.global.prod.js',
'@vue/shared':'npm:@vue/shared/dist/shared.cjs.js',
'@vue/compiler-dom':'npm:@vue/compiler-dom/dist/compiler-dom.global.prod.js',
'@vue/runtime-dom':'npm:@vue/runtime-dom/dist/runtime-dom.global.prod.js',
'@vue/shared':'npm:@vue/shared/dist/shared.cjs.js',
'@vue/compiler-dom':'npm:@vue/compiler-dom/dist/compiler-dom.global.prod.js',
'@vue/runtime-dom':'npm:@vue/runtime-dom/dist/runtime-dom.global.prod.js',
'@vue/shared':'npm:@vue/shared/dist/shared.cjs.js',
'@vue/compiler-dom':'npm:@vue/compiler-dom/dist/compiler-dom.global.prod.js',
'@vue/runtime-dom':'npm:@vue/runtime-dom/dist/runtime-dom.global.prod.js',
'@vue/shared':'npm:@vue/shared/dist/shared.cjs.js',
'vue-loader': 'npm:systemjs-vue-browser/index.js',
//'systemjs-plugin-vue': 'npm:systemjs-plugin-vue/index.js',
'plugin-babel': 'npm:systemjs-plugin-babel/plugin-babel.js',
'systemjs-babel-build': 'npm:systemjs-plugin-babel/systemjs-babel-browser.js'
},
// packages tells the System loader how to load when no filename and/or no extension
packages: {
src: {
defaultExtension: 'js'
},
rxjs: {
defaultExtension: 'js'
},
"node_modules": {
defaultExtension: 'js'
},
wijmo: {
defaultExtension: 'js',
}
}
});
})(this);